Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class FilesMatch

    java.lang.Object
      org.apache.tools.ant.taskdefs.condition.FilesMatch

All Implemented Interfaces:
  Condition

public class FilesMatch
extends java.lang.Object
implements Condition

Compares two files for bitwise equality based on size and content. Timestamps are not looked at at all.

Since:
  Ant 1.5
Version:
  $Revision: 1.8.2.1 $
Author:
  Steve Loughran

Constructor Summary
`FilesMatch()`

Method Summary
`boolean` | `eval()` comparision method of the interface
`void` | `setFile1(java.io.File file1)` Sets the File1 attribute
`void` | `setFile2(java.io.File file2)` Sets the File2 attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilesMatch

    public FilesMatch()

Method Detail

### setFile1

    public void setFile1(java.io.File file1)

  Sets the File1 attribute

  Parameters:
    `file1` - The new File1 value

### setFile2

    public void setFile2(java.io.File file2)

  Sets the File2 attribute

  Parameters:
    `file2` - The new File2 value

### eval

    public boolean eval()
                 throws BuildException

  comparision method of the interface

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the files are equal
  Throws:
    `BuildException` - if it all went pear-shaped

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.